//+------------------------------------------------------------------+
//|                                                test_combobox.mq5 |
//|                        Copyright 2014, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
#include <Controls\ComboBox.mqh>
#property indicator_separate_window
#property indicator_plots 0
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
CComboBox comboBox1;

int OnInit()
{
  if(CreateComboBox()) return(INIT_SUCCEEDED);
  else
  { 
    string msg;
    msg=StringFormat("error in CreateComboBox(), #",GetLastError());
    Alert(msg);
    return(INIT_FAILED);
  }
}
  
bool CreateComboBox()
{
  long subWindowID=ChartWindowFind();
  int x1=100, y1=100, xsize=150, ysize=20;
  if(!comboBox1.Create(0,"comboBox1",(int)subWindowID,x1,y1,x1+xsize,y1+ysize)) return(false); // create the CComBox object.

  // add items to the ComboBox object.
  if(!comboBox1.AddItem("0, PL",0)) return(false);
  if(!comboBox1.AddItem("0, TL",0)) return(false);
  if(!comboBox1.AddItem("0, MA",0)) return(false);
  if(!comboBox1.AddItem("0, RSI",0)) return(false);

  return(true);
}

void OnDeinit(const int reason)
{
  Alert("OnDeinit invoked, delete the combobox1 object.");
  comboBox1.Destroy(reason);
} 


//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//---
   
//--- return value of prev_calculated for next call
   return(rates_total);
  }
